aboutsummaryrefslogtreecommitdiffstats
path: root/meta/recipes-devtools/rpm/rpm_git.bb
Commit message (Collapse)AuthorAgeFilesLines
* rpm: change PROVIDES rpm-build to RPROVIDESrbt/rpmRobert Yang2017-03-271-1/+1
| | | | | | | The rpm 5 has a rpm-build package, so here should use RPROVIDES rather than PROVIDES to keep compatibility. Signed-off-by: Robert Yang <liezhi.yang@windriver.com>
* rpm: add a "rpm-build" PROVIDESAlexander Kanavin2017-03-221-0/+2
| | | | | | | | | | rpm 5.x was packaging build tools separately, so we need to unbreak things that relied on that. [YOCTO #11167] Signed-off-by: Alexander Kanavin <alexander.kanavin@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* nativesdk-packagegroup-sdk-host: replace smartpm with dnfAlexander Kanavin2017-03-131-1/+1
| | | | Signed-off-by: Alexander Kanavin <alexander.kanavin@linux.intel.com>
* rpm: add a 4.x recipeAlexander Kanavin2017-03-131-0/+108
The dnf stack is written and tested against rpm 4.x. So if we want to use dnf for packaging, we should also use rpm 4 - there's simply too much work involved in making rpm 5 work with it due to significant API differences, and supporting that going forward. Signed-off-by: Alexander Kanavin <alexander.kanavin@linux.intel.com>